Android AR Core Exception during latest FLP api client construction. Falling back to legacy

  android, augmented-reality, java

i am trying to use a AR Core library i followed all instruction from library instruction on how to use but its not working as expected i am getting following error:

2021-02-11 18:02:56.641 18165-18165/? E/example.dmodul: Unknown bits set in runtime_flags: 0x8000
2021-02-11 18:02:57.246 18165-18165/com.example.dmodule E/ARCore-LocationProvider: Exception during latest FLP api client construction. Falling back to legacy: com.google.android.gms.location.FusedLocationProviderClient.requestLocationUpdates [class com.google.android.gms.location.LocationRequest, interface com.google.android.gms.location.LocationListener]
    java.lang.NoSuchMethodException: com.google.android.gms.location.FusedLocationProviderClient.requestLocationUpdates [class com.google.android.gms.location.LocationRequest, interface com.google.android.gms.location.LocationListener]

My gradle

....
implementation "com.google.android.gms:play-services-location:17.1.0"
implementation "com.google.ar.sceneform:core:1.17.1"
implementation "com.google.ar.sceneform.ux:sceneform-ux:1.17.1"
implementation 'com.github.appoly:ARCore-Location:1.2'

Example from library is working fine because its build with older version of android but i need to use this library for latest android version..i am searching from last 5 days but no luck also tried to contacting library author please help me

Source: Android Questions

One Reply to “Android AR Core Exception during latest FLP api client construction. Falling back to legacy”

LEAVE A COMMENT